#!/bin/bash

. lib.sh

main() {
    latester -d can0 -d can1 -c $COUNT $(traffic_and_length 2) -n len2
    latester -d can0 -d can1 -c $COUNT $(traffic_and_length 4) -n len4
    latester -d can0 -d can1 -c $COUNT $(traffic_and_length 6) -n len6
    latester -d can0 -d can1 -c $COUNT $(traffic_and_length 8) -n len8
}

plot_cmds() {
    max=0.5
    if [ $traffic = "flood" ]; then max=35; fi

    cat <<EOF
set title "No GW, two interfaces in PC (Latency = t_{kernel RX} - t_{before send} - t_{TX length})"
set logscale y
set grid
set xlabel "Latency [ms]"
set ylabel "Latency profile [frames]"
plot [0.01:$max] [1:$COUNT] \\
          "len2-hist.txt" with lp lt 1 title "2 byte messages", \\
          "len4-hist.txt" with lp lt 2 title "4 byte messages", \\
          "len6-hist.txt" with lp lt 3 title "6 byte messages", \\
          "len8-hist.txt" with lp lt 4 title "8 byte messages"
EOF
}
    
test_end
    
