#!/bin/bash

set -x
set -e

methods=${@:-rtems kernel read-write mmap-write mmapbusy-write mmapbusy-mmap readbusy-write}

for method in $methods; do
    case $method in
	rtems) ../../rtems/gw/boot --expect '"]", sub { shift->send_slow(0.1, "startGW\n"); }' --exiton 'tasks started';;
	kernel)         ../ppc/boot -a kernelgw --exiton "Kernel GW started";;
	read-write)     ../ppc/boot             --exiton "UGW started";;
	mmap-write)     ../ppc/boot -a "ugw=|-r mmap|" --exiton "UGW started";;
	mmapbusy-write) ../ppc/boot -a "ugw=|-r mmapbusy|" --exiton "UGW started";;
	mmapbusy-mmap)  ../ppc/boot -a "ugw=|-r mmapbusy -t mmap|" --exiton "UGW started";;
	readbusy-write) ../ppc/boot -a "ugw=|-b 300|" --exiton "UGW started";;
	*)
	    echo >&2 "Unknown method '$method'";
	    exit 1;
    esac
    ssh glab "latester -d can0 -d can1 -d can2 --oneattime -c 1000 -q -n $method"
    scp glab:"$method-*.txt" .
    sleep 2 # Wait for cu at glab to die
done
